<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css" />
<title>Luiz's Operating System</title>
</head>
<body>

<h2 align="center">JOS</h2>

<p>JOS is an operating system I have developed while reading MIT's operating
system course material, which is
<a href="http://ocw.mit.edu/OcwWeb/Electrical-Engineering-and-Computer-Science/6-828Fall-2006/CourseHome/index.htm">available on the web</a> by
<a href="http://ocw.mit.edu">MIT OpenCourseWare (OCW)</a>.</p>

<p>JOS is very small, but it is complete and features the following:</p>

<ul>
<li>Exokernel design</li>
<li>i386 support</li>
<li>Virtual memory</li>
<li>Preemptive multitasking</li>
<li>Simple IPC mechanism</li>
<li>Kernel debuger and monitor</li>
<li>Simple FS (supports file creation, writting and removal)</li>
<li>Basic shell</li>
<li>Minimalist bootloader</li>
</ul> 

<p>I have written about JOS in my <a href="http://blog.cpu.eti.br">blog</a>. 
If you are interested, please, have a look at the following posts:</p>

<ul>
<li><a href="http://blog.cpu.eti.br/?p=93">JOS v0.1</a></li>
<li><a href="http://blog.cpu.eti.br/?p=98">JOS Virtual memory (part 1)</a></li>
<li><a href="http://blog.cpu.eti.br/?p=99">JOS Virtual memory (part 2)</a></li>
</ul>

<h3>Repository</h3>

<ul>
<li><a href="http://repo.or.cz/w/mit-so-course.git?a=tree">Browse</a> the source code</li>
<li>Repository page:
<a href="http://repo.or.cz/w/mit-so-course.git">http://repo.or.cz/w/mit-so-course.git</a></li>
<li>Clone command: $ git clone git://repo.or.cz/mit-so-course.git</li>
</ul>

</body>
</html>
